/**
 * Copyright 2019 Anthony Trinh
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package ch.qos.logback.classic.issue.logback1159;

/**
 * Based error class to be thrown in a logging failsafe situation. I.e. any unexpected error 
 * situations during logging (e.g. database access, I/O failure)
 */
public class LoggingError extends Error {

    private static final long serialVersionUID = -4881940499551760472L;

    public LoggingError(String msg, Throwable cause) {
		super(msg, cause);
	}

}